not.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/logical/bool.hpp>`
`#include <msgpack/preprocessor/logical/compl.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_NOT(x) MSGPACK_PP_NOT_I(x)
#define | MSGPACK_PP_NOT_I(x) MSGPACK_PP_COMPL(MSGPACK_PP_BOOL(x))

## Macro Definition Documentation

## MSGPACK_PP_NOT

#define MSGPACK_PP_NOT | ( |  | x | ) | MSGPACK_PP_NOT_I(x)

## MSGPACK_PP_NOT_I

#define MSGPACK_PP_NOT_I | ( |  | x | ) | MSGPACK_PP_COMPL(MSGPACK_PP_BOOL(x))